Scoping Configuration - List
Retourneert een lijstindeling van de singleton scopingConfiguration voor een opgegeven rapport.
GET https://management.azure.com/providers/Microsoft.AppComplianceAutomation/reports/{reportName}/scopingConfigurations?api-version=2024-06-27
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
report
|
path | True |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
Rapportnaam. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
ScopingConfiguration_List
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "default",
"type": "Microsoft.AppComplianceAutomation/reports/scopingConfigurations",
"id": "/provider/Microsfot.AppComplianceAutomation/reports/testReportName/scopingConfigurations/default",
"properties": {
"answers": [
{
"answers": [
"Azure"
],
"questionId": "GEN20_hostingEnvironment"
},
{
"answers": [],
"questionId": "DHP_G07_customerDataProcess"
},
{
"answers": [],
"questionId": "Tier2InitSub_serviceCommunicate"
}
]
},
"systemData": {
"createdAt": "2021-05-14T22:34:55.4499903Z",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdByType": "User",
"lastModifiedAt": "2021-05-14T22:34:55.4499903Z",
"lastModifiedBy": "00000000-0000-0000-0000-000000000000",
"lastModifiedByType": "User"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Provisioning |
Inrichtingsstatussen van resources. |
|
Scoping |
Verkennend antwoord. |
|
Scoping |
Een klasse vertegenwoordigt een configuratieresource voor AppComplianceAutomation. |
|
Scoping |
Het antwoord van een ScopingConfigurationResource-lijstbewerking. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ProvisioningState
Inrichtingsstatussen van resources.
| Waarde | Description |
|---|---|
| Succeeded |
De inrichting is voltooid. |
| Failed |
De inrichting is mislukt. |
| Canceled |
De inrichting is geannuleerd. |
| Creating |
Het maken wordt uitgevoerd. |
| Deleting |
De verwijdering wordt uitgevoerd. |
| Fixing |
De oplossing van de resource die wordt uitgevoerd. |
| Verifying |
De verificatie van de resource wordt uitgevoerd. |
| Updating |
De update van de resource die wordt uitgevoerd. |
ScopingAnswer
Verkennend antwoord.
| Name | Type | Description |
|---|---|---|
| answers |
string[] |
Lijst met vraagantwoordwaarden. |
| questionId |
string pattern: ^[-a-zA-Z0-9_]{1,50}$ |
Vraag-id. |
ScopingConfigurationResource
Een klasse vertegenwoordigt een configuratieresource voor AppComplianceAutomation.
| Name | Type | Description |
|---|---|---|
| id |
string |
Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
De naam van de resource |
| properties.answers |
Lijst met verkennende vraagantwoorden. |
|
| properties.provisioningState |
Levenscyclusbeheer van Azure |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
ScopingConfigurationResourceListResult
Het antwoord van een ScopingConfigurationResource-lijstbewerking.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De koppeling naar de volgende pagina met items |
| value |
De ScopingConfigurationResource-items op deze pagina |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |